Name:           python-orjson
Version:        3.10.18
Release:        %mkrel 1
Summary:        Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy
License:        Apache-2.0, MIT
Group:          Development/Python
URL:            https://github.com/ijl/orjson/
#Source0:        https://pypi.io/packages/source/o/orjson/orjson-%%{version}.tar.gz
Source0:        https://github.com/ijl/orjson/archive/refs/tags/%{version}.tar.gz
Patch1:         0001-orjson-3.10.18-drop-features.patch
BuildRequires:  cargo-rpm-macros

%description
orjson is a fast, correct JSON library for Python. It benchmarks as the fastest
Python library for JSON and is more correct than the standard json library or
other third-party libraries. It serializes dataclass, datetime, numpy, and UUID
instances natively.

%package -n python3-orjson
Summary:        Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy
%{?python_provide:%python_provide python3-orjson}
Provides:       bundled(crate(pyo3-build-config)) = 0.23.3
Provides:       bundled(crate(pyo3-ffi)) = 0.23.3

%description -n python3-orjson
orjson is a fast, correct JSON library for Python. It benchmarks as the fastest
Python library for JSON and is more correct than the standard json library or
other third-party libraries. It serializes dataclass, datetime, numpy, and UUID
instances natively.

%prep
%autosetup -n orjson-%{version}
%cargo_prep

# Remove strict dependencies
sed -Ei 's|(version = ")=|\1|' Cargo.toml
sed -Ei 's|version = "0.9",|version = "^0.8",|' Cargo.toml

%generate_buildrequires
%pyproject_buildrequires
%cargo_generate_buildrequires

for dir in include/pyo3/*/; do
  pushd $dir > /dev/null
  %cargo_generate_buildrequires
  popd > /dev/null
done

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files orjson

%files -n python3-orjson -f %{pyproject_files}
%license LICENSE*
%doc README.md


%changelog
* Wed Jun 25 2025 papoteur <papoteur> 3.10.18-1.mga10
+ Revision: 2194557
- new version 3.10.18
- allow to use or compact_str version 0.8 instead of 0.9

* Fri Mar 07 2025 wally <wally> 3.10.15-4.mga10
+ Revision: 2161819
- fix python pkg name
- use pyproject rpm macros
- rely on BRs pulled in %%generate_buildrequires
- drop unneeded or unwanted rust features while building
- clean .spec a bit

* Fri Mar 07 2025 neoclust <neoclust> 3.10.15-3.mga10
+ Revision: 2161285
- Rebuild against new python 3.13

* Wed Feb 19 2025 daviddavid <daviddavid> 3.10.15-2.mga10
+ Revision: 2149647
- rust-target-lexicon0.13 was renamed as rust-target-lexicon

* Wed Feb 05 2025 tv <tv> 3.10.15-1.mga10
+ Revision: 2145598
- Explicitely list some deps of rust deps (missing deps in some rust pkgs)
- patch 0 : accept a newer version of rust-cc
- Use dynamic deps for rust-*
- 1.0.93
- 1.0.135
- BR rust-ryu-devel
- imported package python-orjson

